"use strict";
{
    C3.Plugins.Vinoos_VinoosIAP.Acts = {
        Initialize()
        {
            var self = this;
            window.iap.Initialize(this._publicKey, this._market, function(result)
            {
                self.Trigger(C3.Plugins.Vinoos_VinoosIAP.Cnds.OnInitializeSuccess);
            }, function(error)
            {
                self.Trigger(C3.Plugins.Vinoos_VinoosIAP.Cnds.OnInitializeFailed);
            });
        },

        GetSkuDetails(productsId)
        {
            var productsIds = productsId.trim();
            var skus = productsIds.split("|");
            var self = this;
            window.iap.GetSkuDetails(
            skus,

            function(result)
            {
                for (var i in result)
                {
                    var p = result[i];
                    self.product_info[p["productId"]] = {
                        title: p["title"],
                        price: p["price"],
                        description: p["description"]
                    };
                }
                self.Trigger(C3.Plugins.Vinoos_VinoosIAP.Cnds.OnDetailsSuccess);
            }, function(error)
            {
                self.Trigger(C3.Plugins.Vinoos_VinoosIAP.Cnds.OnDetailsFailed);
            });
        },

        RequestPayment(productId, productType)
        {
            var self = this;
            this.productId = productId;
            window.iap.RequestPayment(
            productId, (productType != 0 ? true : false),

            function(result)
            {
                self.purchase_info[result["productId"]] = {
                    token: result["purchaseToken"],
                    time: result["purchaseTime"],
                    order: result["orderId"]
                };
                self.Trigger(C3.Plugins.Vinoos_VinoosIAP.Cnds.OnPurchaseSuccess);
            }, function(error)
            {
                self.Trigger(C3.Plugins.Vinoos_VinoosIAP.Cnds.OnPurchaseFailed);
            });
        }
    };
}