"use strict";
{

    const PLUGIN_ID = "Vinoos_VinoosIAP";
    const PLUGIN_VERSION = "1.1.4.0";
    const PLUGIN_CATEGORY = "monetisation";

    const PLUGIN_CLASS = SDK.Plugins.Vinoos_VinoosIAP = class VinoosIAPPlugin extends SDK.IPluginBase
    {
        constructor()
        {
            super(PLUGIN_ID);

            SDK.Lang.PushContext("plugins." + PLUGIN_ID.toLowerCase());

            this._info.SetName(lang(".name"));
            this._info.SetDescription(lang(".description"));
            this._info.SetVersion(PLUGIN_VERSION);
            this._info.SetCategory(PLUGIN_CATEGORY);
            this._info.SetAuthor("Vinoos");
            this._info.SetHelpUrl(lang(".help-url"));
            this._info.SetIsSingleGlobal(true);

            this._info.SetSupportedRuntimes(["c3"]);

            SDK.Lang.PushContext(".properties");

            const permission = new SDK.PluginProperty("text", "permission", "com.farsitel.bazaar.permission.PAY_THROUGH_BAZAAR");

            this._info.SetProperties([
                new SDK.PluginProperty("longtext", "public-key", "value"),
                new SDK.PluginProperty("combo", "market",
            {
                "items": ["cafebazaar", "myket", "parshub", "playstore"],
                "initialValue": "cafebazaar"
            }),
                permission
            ]);

            SDK.Lang.PopContext(); //.properties
            SDK.Lang.PopContext();

            this._info.AddCordovaPluginReference(
            {
                id: "vinoos-cordova-iap",
                plugin: this,
                variables: [
                    ["PERMISSION", permission]
                ]
            });
        }
    };

    PLUGIN_CLASS.Register(PLUGIN_ID, PLUGIN_CLASS);
}